Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller
Class ControllerContext

    java.lang.Object
      org.jboss.portal.common.invocation.AbstractInvocationContext
          org.jboss.portal.core.controller.ControllerContext

All Implemented Interfaces:
  org.jboss.portal.common.invocation.InvocationContext

    public class ControllerContext

extends org.jboss.portal.common.invocation.AbstractInvocationContext

The context of the controller.

Version:
  $Revision: 11068 $
Author:
  Julien Viet

Field Summary
`static int` | `AJAX_TYPE` .
`static int` | `CLASSIC_TYPE` .

Constructor Summary
`ControllerContext(ServerInvocation serverInvocation, Controller controller)`

Method Summary
`ControllerResponse` | `execute(ControllerCommand command)`
`Controller` | `getController()`
`int` | `getDepth()`
`ControllerRequestDispatcher` | `getRequestDispatcher(java.lang.String contextPath, java.lang.String path)`
`ServerInvocation` | `getServerInvocation()`
`org.jboss.portal.web.ServletContainer` | `getServletContainer()`
`int` | `getType()`
`org.jboss.portal.identity.User` | `getUser()`
`java.util.Map<java.lang.String,java.lang.String>` | `getUserProfile()`
`java.lang.String` | `renderURL(ControllerCommand cmd, URLContext urlContext, URLFormat urlFormat)` Render the command as an URL or return null if it is not possible.

Methods inherited from class org.jboss.portal.common.invocation.AbstractInvocationContext
`addResolver, addResolver, getAttribute, getAttributeResolver, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASSIC_TYPE

    public static final int CLASSIC_TYPE

  .

  See Also:
    Constant Field Values

### AJAX_TYPE

    public static final int AJAX_TYPE

  .

  See Also:
    Constant Field Values

Constructor Detail

### ControllerContext

    public ControllerContext(ServerInvocation serverInvocation,
                             Controller controller)

Method Detail

### getServletContainer

    public org.jboss.portal.web.ServletContainer getServletContainer()

### execute

    public ControllerResponse execute(ControllerCommand command)
                               throws ControllerException,
                                      org.jboss.portal.common.invocation.InvocationException

  Throws:
    `ControllerException`
    `org.jboss.portal.common.invocation.InvocationException`

### getType

    public int getType()

### getDepth

    public int getDepth()

### renderURL

    public java.lang.String renderURL(ControllerCommand cmd,
                                      URLContext urlContext,
                                      URLFormat urlFormat)

  Render the command as an URL or return null if it is not possible.

  Parameters:
    `cmd` - the command to render
    `urlContext` - the url context
    `urlFormat` - the url format
  Returns:
    the URL as a string or null

### getServerInvocation

    public ServerInvocation getServerInvocation()

### getController

    public Controller getController()

### getUser

    public org.jboss.portal.identity.User getUser()

### getUserProfile

    public java.util.Map<java.lang.String,java.lang.String> getUserProfile()

### getRequestDispatcher

    public ControllerRequestDispatcher getRequestDispatcher(java.lang.String contextPath,
                                                            java.lang.String path)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD